@import '../../../../sass/variables';
@import '../../../../sass/mixins';

.card {
  height: $cardHeight;
  background: $blackTransparent;
  width: 100%;
  position: relative;

  &.chart {
    max-width: 580px;
  }

  &.infoBox {
    max-width: 350px;
  }

  .header {
    height: $cardHeaderHeight;
    position: relative;

    .title {
      font-size: 15px;
      color: $grey;
      text-transform: uppercase;
      position: absolute;
      bottom: 0;
      left: 20px;
    }

    .note {
      color: darken($grey, 20%);
      font-size: 12px;
      bottom: -16px;
      left: 20px;
      position: absolute;
    }

    .settings {
      float: right;
      color: $grey;
      font-size: 18px;
      transition: 0.2s;

      &:hover {
        color: white;
      }

      .dropdown {
        margin-top: 15px;
        margin-right: 6px;

        .menu {
          border-radius: inherit;
          border: 1px solid $lightPurple;

          .item {
            color: $lightGrey;
            background: darken($blue, 20%);

            &:hover {
              background: darken($blue, 22%);
            }
          }
        }
      }
    }
  }

  .web-chart {
    height: calc(100% - #{$cardHeaderHeight});
  }

  .loading-overlay .loader {
    top: 50%;
  }

  @include untilBreakpoint(desktop) {
    margin: 20px 0;
  }

  @include fromBreakpoint(desktop) {
    margin: 10px;
  }
}
